Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Friends | List of all members
testing::TestCase Class Reference

## Public Member Functions
| TestCase (const char *name, const char *a_type_param, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc)
const char * | name () const
const char * | type_param () const
bool | should_run () const
int | successful_test_count () const
int | failed_test_count () const
int | reportable_disabled_test_count () const
int | disabled_test_count () const
int | reportable_test_count () const
int | test_to_run_count () const
int | total_test_count () const
bool | Passed () const
bool | Failed () const
TimeInMillis | elapsed_time () const
const TestInfo * | GetTestInfo (int i) const
const TestResult & | ad_hoc_test_result () const

## Friends
class | Test
class | internal::UnitTestImpl

## Detailed Description

Definition at line 778 of file gtest.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest.h